View Issue Details

IDProjectCategoryView StatusLast Update
0000940SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.11 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000940: Conflict resolution uses the target table to lookup data for timestamp and version checks. Should be using source.
DescriptionConflict resolution uses the target table to lookup data for timestamp and version checks. Should be using source.

https://sourceforge.net/p/symmetricds/discussion/739236/thread/c4da70f9/
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000128

Prepare for release

Related Changesets

SymmetricDS: master d9957fef

2012-12-03 20:09:56

chenson

Details Diff
0000940: Conflict resolution uses the target table to lookup data for timestamp and version checks. Should be using source.
0000940
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2012-12-03 20:08 chenson New Issue
2012-12-03 20:08 chenson Status new => assigned
2012-12-03 20:08 chenson Assigned To => chenson
2012-12-03 20:40 chenson Status assigned => resolved
2012-12-03 20:40 chenson Fixed in Version => 3.2.0
2012-12-03 20:40 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000128
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6615
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d9957fef